Page MenuHomePhabricator

Title::moveTo depends on $wgUser
Closed, ResolvedPublic

Description

Makes it ugly for reuse in jobs and scripts.


Version: 1.22.0
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49066

Details

Reference
bz49086

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:44 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz49086.
bzimport added a subscriber: Unknown Object (MLST).

Change 277723 had a related patch set uploaded (by Aashaka):
Use RequestContext::getMain()->getUser() instead of $wgUser in Title.php

https://gerrit.wikimedia.org/r/277723

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2016, 9:22 AM
Nikerabbit closed this task as Resolved.Jul 13 2016, 6:25 PM
Nikerabbit claimed this task.

MovePage can be used now and it does not have this problem.